Subject: Re: [v2] selftests/powerpc: Fix wild_bctr test to work on ppc64

From: Michael Ellerman <[email-masked]>
Date: Tue, 13 Nov 2018 23:16:11 +1100 (AEDT)

On Mon, 2018-11-12 at 02:46:06 UTC, Michael Ellerman wrote:
> The selftest I recently added to test branching to an out-of-bounds
> NIP doesn't work on 64-bit big endian. It does fail but not in the
> right way. That is it SEGVs trying to load from the opd at BAD_NIP,
> but it never gets as far as branching to BAD_NIP.
> 
> To fix it we need to create an opd which is reachable but which holds
> the bad address.
> 
> Fixes: b7683fc66eba ("selftests/powerpc: Add a test of wild bctr")
> Signed-off-by: Michael Ellerman <[email-masked]>

Applied to powerpc fixes.

https://git.kernel.org/powerpc/c/2c7645b0f7d1014f2636393de7906c

cheers